Bug 75975 - FLASH drivers should be interrupt/thread safe
FLASH drivers should be interrupt/thread safe
Status: CLOSED WONTFIX
Product: eCos
Classification: Retired
Component: Flash driver (Show other bugs)
CVS
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: eCos bugs internal list
eCos bugs internal list
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-15 09:44 EDT by Gary Thomas
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-20 12:17:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gary Thomas 2002-10-15 09:44:30 EDT
Description of Problem:

Most FLASH hardware requires very specific access patterns.  If these are
disturbed by an interrupt (or thread switch), chaos would ensue.

Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Alex Schuilenburg 2003-06-20 12:17:46 EDT
This bug has moved to http://bugs.ecos.sourceware.org/show_bug.cgi?id=75975

Note You need to log in before you can comment on or make changes to this bug.